h1 {
  font-family: Oswald, sans-serif;
  color: #ffffff;
}

h2 {
  font-family: Oswald, sans-serif;
  color: #464547;
}

h3 {
  font-family: Oswald, sans-serif;
  color: #666666;
}

p {
  font-family: "Source Sans 3", sans-serif;
  color: #000000;
}

.main-nav {
  padding-top: 3rem;
  padding-bottom: 3rem;
  text-transform: uppercase;
}

.header-hero-container {
  background-image: url("../visual/hero_section_background.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 75vh;
  position: relative; /* Necessary for absolute positioning of pseudo-elements */
}

.header-hero-container::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: url("../visual/stars.svg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  animation: animateStars 10s infinite; /* Apply the animation */
  opacity: 0; /* Start with stars invisible */
}

@keyframes animateStars {
  0%,
  100% {
    opacity: 0; /* Stars are invisible */
  }
  50% {
    opacity: 1; /* Stars are fully visible */
  }
}

/* Adjusting animation for mobile screens */
@media (max-width: 768px) {
  .header-hero-container::before {
    animation: animateStarsMobile 15s infinite; /* Slower animation for mobile */
  }

  @keyframes animateStarsMobile {
    0%,
    100% {
      opacity: 0;
    }
    50% {
      opacity: 0.7; /* Less intense for mobile */
    }
  }

  /* Adjust background properties for mobile */
  .header-hero-container {
    background-size: auto 100%; /* adjustment */
    background-position: top center; /* adjustment */
  }
}

.hero-section {
  padding-top: 10rem;
  padding-bottom: 10rem;
  background-color: transparent; /* Ensure container's background is visible */
}

.hero-section p {
  color: #ffffff;
}

.description-section {
  background-color: #eeeeee;
}

.read-more-button {
  display: flex;
  justify-content: center;
  background-color: #55c2d8;
  border-radius: 1.125rem;
  text-transform: uppercase;
  max-width: max-content;
  cursor: pointer; /* Indicates that it's clickable */
  transition: background-color 0.3s ease; /* Smooth transition for background color */
}

.read-more-button a {
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  display: inline-block;
  transition: color 0.3s ease; /* Smooth transition for text color */
}

/* Hover effects */
.read-more-button:hover,
.read-more-button a:hover {
  background-color: #49b6cc; /* Slightly darker shade for hover */
  color: #f0f0f0; /* Slightly lighter shade of white for the text */
  border-radius: 1.125rem; /* Ensure the rounded corners are maintained */
}

.video-section {
  background-image: linear-gradient(
      rgba(140, 79, 42, 0.5),
      rgba(140, 79, 42, 0.5)
    ),
    url("../visual/video_poster.jpg");
  background-color: #808080; /* Fallback color if the image fails to load */
}

.video-section h2 {
  color: #ffffff;
}

.video-section p {
  color: #ffffff;
}

.play-button {
  width: 144px; /* Size of the button */
  height: 144px; /* Size of the button */
  background-color: #39c2d7; /* The button's blue background color */
  border-radius: 50%; /* Make it round */
  border: none; /* Remove default border */
  display: flex; /* Use flex to center the SVG inside */
  justify-content: center; /* Center horizontally */
  align-items: center; /* Center vertically */
  cursor: pointer; /* Change cursor to pointer on hover */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Optional: Add a shadow for depth */
}

.play-icon {
  display: flex; /* Ensure SVG centers inside the div */
}

footer {
  background-color: #464547;
  color: #ffffff;
}

footer a {
  text-decoration: none;
  color: #ffffff;
}

footer p {
  color: #ffffff;
}
